### Virtual Method

# Gtk AccessibleText get_contents_at

since: 4.14

#### Declaration [src]

    GBytes*
    get_contents_at (
      GtkAccessibleText* self,
      unsigned int offset,
      GtkAccessibleTextGranularity granularity,
      unsigned int* start,
      unsigned int* end
    )

#### Description [src]

Retrieve the current contents of the accessible object starting from the given offset, and using the given granularity.

The `start` and `end` values contain the boundaries of the text.

Available since: 4.14

#### Parameters

`offset`

  Type: `unsigned int`

  The offset, in characters.

`granularity`

  Type: `GtkAccessibleTextGranularity`

  The granularity of the query.

`start`

  Type: `unsigned int*`

  The start of the range, in characters.

  The argument will be set by the function.

`end`

  Type: `unsigned int*`

  The end of the range, in characters.

  The argument will be set by the function.

#### Return value

Type: `GBytes`

The requested slice of the contents of the accessible object, as UTF-8. Note that the slice does not have to be NUL-terminated.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.